Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface PortletXtra2

All Known Subinterfaces:
  MutablePortletXtra2, MutablePortletXtra3, PortletXtra3

public interface PortletXtra2
extends MobilePortlet

Extension (#2) to the Portlet interface. The first extension was (mis)named `MobilePortlet`.

So as to not break existing portlets new meta data is added to interfaces that subclass the previous.

Author:
  Michael Freedman

Method Summary
`MobileFlags` | `getMobileFlags()` Returns the portlet's mobile settings as a bitwise flag.
`java.lang.String` | `getShortTitle(java.util.Locale l)` Returns the short title for the portlet.
`boolean` | `hasShowLink()` Returns true if this Portlet is capable of rendering content for link mode.

Methods inherited from interface oracle.portal.provider.v1.MobilePortlet
`callGetPortlet, callIsRunnable, hasShowLinkMode`

Methods inherited from interface oracle.portal.provider.v1.Portlet
`getAcceptContentTypes, getDefaultLocale, getDescription, getId, getInputParameters, getName, getPersonalizationManager, getProvider, getRenderer, getResourceBundle, getSecurityManager, getShowEditToPublic, getTimeout, getTimeoutMessage, getTitle, hasAbout, hasHelp, hasShowDetails, hasShowEdit, hasShowEditDefault, hasShowPreview, init`

Method Detail

### getShortTitle

    public java.lang.String getShortTitle(java.util.Locale l)

  Returns the short title for the portlet. If no short title exists `null` is returned. Clients are expected to use the regular title in situations that the short title is to be used but doesn't exist.
  Parameters:
    `The` - Locale the short title should be represented in.
  Returns:
    the Portlet's short title.

### getMobileFlags

    public MobileFlags getMobileFlags()

  Returns the portlet's mobile settings as a bitwise flag. The flags values are defined in the `MobileFlags` interface.
  Returns:
    the portlet's mobile setting in a bitwise flag

### hasShowLink

    public boolean hasShowLink()

  Returns true if this Portlet is capable of rendering content for link mode.

  This method is equivalent to `hasShowLinkMode()` defined in the `MobilePortlet` superclass. It was added so its name would be consistent with the other show mode accessors. Please use this method in lieu of `hasShowLinkMode()` which is now deprecated.

  Returns:
    returns true if this Portlet is capable of rendering content for link mode.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD